Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class ConnectionTimeOutHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler
          be.ehealth.technicalconnector.handler.ConnectionTimeOutHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

    public class ConnectionTimeOutHandler

extends AbstractSOAPHandler

SOAPHandler that sets the connection timeout to the of a webservice call. Default value: 30sec

Field Summary
`static String` | `CONNECT_TIMEOUT_PROP` Property to specify the connection timeout in miliseconds.
`static String` | `REQUEST_TIMEOUT_PROP` Property to specify the connection timeout in miliseconds.

Constructor Summary
`ConnectionTimeOutHandler()`

Method Summary
`boolean` | `handleFault(SOAPMessageContext context)`
`boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler
`close, getHeaders, handleInbound, handleMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_TIMEOUT_PROP

    public static final String REQUEST_TIMEOUT_PROP

  Property to specify the connection timeout in miliseconds.

  Default 30.000 miliseconds. Value -1 is forever.

  See Also:
    Constant Field Values

### CONNECT_TIMEOUT_PROP

    public static final String CONNECT_TIMEOUT_PROP

  Property to specify the connection timeout in miliseconds.

  Default 30.000 miliseconds. Value -1 is forever.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionTimeOutHandler

    public ConnectionTimeOutHandler()

Method Detail

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Description copied from class: `AbstractSOAPHandler`
  Method that is called in the outbound flow.

  Overrides:
    `handleOutbound` in class `AbstractSOAPHandler`

### handleFault

    public boolean handleFault(SOAPMessageContext context)

  Specified by:
    `handleFault` in interface `Handler<SOAPMessageContext>`
  Overrides:
    `handleFault` in class `AbstractSOAPHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.